EndpointsAuthentication
Update My Preferences
Merge a partial update into your preferences. Objects merge key by key, lists replace, and an explicit null removes a setting.
PATCH
Merge a partial update into your preferences. Objects merge key by key, lists replace, and an explicit null removes a setting.
HTTPBearerheader
AuthorizationBearer <token>application/json- body
Every field optional: absent means "the app's default".
accent?|nullavatar_color?|nullcurrency?|nulldashboard?|nulldate_style?|nulldensity?|nullfavorites?|nulllocale?|nullsidebar_collapsed?boolean|nulltasks?|nulltheme?|nulltimezone?|nullversion?VersionDefault
1Successful Response
application/json- response
Every field optional: absent means "the app's default".
accent?|nullavatar_color?|nullcurrency?|nulldashboard?|nulldate_style?|nulldensity?|nullfavorites?|nulllocale?|nullsidebar_collapsed?boolean|nulltasks?|nulltheme?|nulltimezone?|nullversion?VersionDefault
1curl -X PATCH "https://example.com/api/me/preferences" \ -H "Content-Type: application/json" \ -d '{}'{ "accent": "royal", "avatar_color": "royal", "currency": "string", "dashboard": { "hidden": [ "string" ], "order": [ "string" ], "range_days": 7 }, "date_style": "short", "density": "comfortable", "favorites": { "agents": [ "ce0951b6-fac0-429c-be9b-31a1ce20b503" ], "projects": [ "eaf709ed-5ed9-42a1-a0ca-f919f2d075df" ] }, "locale": "string", "sidebar_collapsed": true, "tasks": { "saved_views": [ { "id": "string", "name": "string", "query": "" } ], "view": "list" }, "theme": "light", "timezone": "string", "version": 1}